
import { ComponentMetadata, Snippet } from '@alilc/lowcode-types';

const CountdownMeta: ComponentMetadata = {
  "componentName": "Countdown",
  "title": "Countdown",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "oyetalk-lowcode-components",
    "version": "1.0.0",
    "exportName": "Countdown",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [
      {
        name: 'isUtc',
        title: 'UTC',
        setter: 'BoolSetter',
        defaultValue: true,
      },
      {
        name: 'isShowDay',
        title: '显示天',
        setter: 'BoolSetter',
        defaultValue: true,
      },
      {
        name: 'nowTime',
        title: '当前时间',
        setter: 'NumberSetter',
        supportVariable: true,
      },
      {
        name: 'endTime',
        title: '结束时间',
        setter: 'NumberSetter',
        supportVariable: true,
      },
      {
        type: 'group',
        title: '文本',
        display: 'accordion',
        items: [{
          name: 'daysText',
          title: '天',
          setter: 'StringSetter',
          defaultValue: 'Days',
        },{
          name: 'hoursText',
          title: '时',
          setter: 'StringSetter',
          defaultValue: 'Hours',
        },{
          name: 'minsText',
          title: '分',
          setter: 'StringSetter',
          defaultValue: 'Mins',
        },{
          name: 'secsText',
          title: '秒',
          setter: 'StringSetter',
          defaultValue: 'Secs',
        }],
      },
      {
        type: 'group',
        display: 'accordion',
        title: '容器样式',
        items: [
          {
            name: 'style',
            title: '-',
            setter: {
              componentName: 'StyleSetter',
            },
          }
        ],
      },
      {
        type: 'group',
        display: 'accordion',
        title: '块样式',
        items: [
          {
            name: 'subStyle',
            title: '',
            setter: {
              componentName: 'StyleSetter',
            },
          }
        ],
      },
      {
        type: 'group',
        display: 'accordion',
        title: '时间样式',
        items: [
          {
            name: 'timeStyle',
            title: '',
            setter: {
              componentName: 'StyleSetter',
            },
          }
        ],
      },
      {
        type: 'group',
        display: 'accordion',
        title: '文本样式',
        items: [
          {
            name: 'textStyle',
            title: '',
            setter: {
              componentName: 'StyleSetter',
            },
          }
        ],
      }
    ],
    "supports": {
      "style": false,
      "loop": false,
    },
    "component": {
      
    }
  }
};
const snippets: Snippet[] = [
  {
    "title": "Countdown",
    "screenshot": "",
    "schema": {
      "componentName": "Countdown",
      "props": {}
    }
  }
];

export default {
  ...CountdownMeta,
  snippets
};
